Bug 430619 - Review Request: perl-Color-Library - Easy-to-use and comprehensive named-color library
Review Request: perl-Color-Library - Easy-to-use and comprehensive named-colo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 23:38 EST by Steven Pritchard
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 11:34:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2008-01-28 23:38:58 EST
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Color-Library/perl-Color-Library.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Color-Library-0.02-1.src.rpm
Description:
Color::Library is an easy-to-use and comprehensive named-color
dictionary. Currently provides coverage for www (svg, html, css) colors,
x11 colors, and more.
Comment 1 Parag AN(पराग) 2008-01-28 23:58:18 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
3d9e519a836aa0a438076ab04c61e31f  Color-Library-0.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
t/00-load.............# Testing Color::Library 0.02, Perl 5.008008, /usr/bin/perl
ok
t/01-Color-Library....ok
t/boilerplate.........ok
t/pod-coverage........ok
t/pod.................ok
All tests successful.
Files=5, Tests=250,  5 wallclock secs ( 5.33 cusr +  0.10 csys =  5.43 CPU)
+ Package perl-Color-Library-0.02-1.fc9 ->
    Provides: perl(Color::Library) = 0.02 perl(Color::Library::Color)
perl(Color::Library::Dictionary)
perl(Color::Library::Dictionary::HTML) 
perl(Color::Library::Dictionary::IE) 
perl(Color::Library::Dictionary::Mozilla)
perl(Color::Library::Dictionary::NBS_ISCC)
perl(Color::Library::Dictionary::NBS_ISCC::A)
perl(Color::Library::Dictionary::NBS_ISCC::B)
perl(Color::Library::Dictionary::NBS_ISCC::F)
perl(Color::Library::Dictionary::NBS_ISCC::H)
perl(Color::Library::Dictionary::NBS_ISCC::M)
perl(Color::Library::Dictionary::NBS_ISCC::P)
perl(Color::Library::Dictionary::NBS_ISCC::R)
perl(Color::Library::Dictionary::NBS_ISCC::RC)
perl(Color::Library::Dictionary::NBS_ISCC::S)
perl(Color::Library::Dictionary::NBS_ISCC::SC)
perl(Color::Library::Dictionary::NBS_ISCC::TC)
perl(Color::Library::Dictionary::Netscape) perl(Color::Library::Dictionary::SVG)
perl(Color::Library::Dictionary::Tango) perl(Color::Library::Dictionary::VACCC)
perl(Color::Library::Dictionary::WWW) perl(Color::Library::Dictionary::Windows)
perl(Color::Library::Dictionary::X11)
  Requires: perl(Color::Library) perl(Color::Library::Color)
perl(Color::Library::Dictionary) perl(Module::Pluggable) perl(base) perl(strict)
perl(warnings)


APPROVED.
Comment 2 Parag AN(पराग) 2008-02-04 22:56:49 EST
ping?
Comment 3 Steven Pritchard 2008-02-05 17:03:01 EST
New Package CVS Request
=======================
Package Name: perl-Color-Library
Short Description: Easy-to-use and comprehensive named-color library
Owners: steve
Branches: F-7 F-8 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-02-05 19:57:12 EST
cvs done.
Comment 5 Parag AN(पराग) 2008-02-11 06:38:57 EST
Is this built for all requested branches? If yes then we can CLOSE this review.
Comment 6 Parag AN(पराग) 2008-02-25 06:48:07 EST
ping?
Comment 7 Steven Pritchard 2008-02-25 11:34:43 EST
The package is built in the development branch.  I'm going to hold off building
it in the other branches until there's a need for it.

Note You need to log in before you can comment on or make changes to this bug.